ClassNotFoundException Class Reference

Thrown when an application tries to load in a class through its string name but no definition for the class with the specified name could be found. More...

Inherits Exception.

## Public Member Functions

| ClassNotFoundException (const LogString &className)
| ClassNotFoundException (const ClassNotFoundException &msg)
ClassNotFoundException & | operator= (const ClassNotFoundException &msg)
Public Member Functions inherited from Exception
| Exception (const char *msg)
| Exception (const LogString &msg)
| Exception (const Exception &src)
Exception & | operator= (const Exception &src)
const char * | what () const throw ()

## Detailed Description

Thrown when an application tries to load in a class through its string name but no definition for the class with the specified name could be found.

## Constructor & Destructor Documentation

ClassNotFoundException | ( | const LogString & | className | ) |

ClassNotFoundException | ( | const ClassNotFoundException & | msg | ) |

## Member Function Documentation

ClassNotFoundException& operator= | ( | const ClassNotFoundException & | msg | ) |

The documentation for this class was generated from the following file:

- exception.h